Bug 467847 - PULSEAUDIO: Unable to connect: Connection refused
PULSEAUDIO: Unable to connect: Connection refused
Product: Fedora
Classification: Fedora
Component: alsa-oss (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-21 05:33 EDT by Antonio J. de Oliveira
Modified: 2009-01-09 01:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:48:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Antonio J. de Oliveira 2008-10-21 05:33:31 EDT
Description of problem:

In spite basic system sounds are issued, for long I stopped being able to play any on-demand sound for many months now.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.play any audio file e.g. on vlc
2.try to re-init driver at kde control panel level either as autodetect, oss or alsa
Actual results:

1. as opening vlc

[00000375] pulse audio output error: Failed to connect to server: Connection refused
[00000375] pulse audio output error: Pulse initialization failed
*** PULSEAUDIO: Unable to connect: Connection refused
JACK tmpdir identified as [/dev/shm]
[00000375] jack audio output error: failed to connect to JACK server
[00000375] oss audio output error: cannot open audio device (/dev/dsp)
*** PULSEAUDIO: Unable to connect: Connection refused
[00000375] esd audio output error: cannot open esound socket (format 0x00001021 at 44100 Hz)

2. default can't be open for playback, connection refused, blabla...

Expected results:

to be able to play anything...

Additional info:

cat /proc/asound/pcm
00-04: Intel ICH - IEC958 : Intel 82801DB-ICH4 - IEC958 : playback 1
00-03: Intel ICH - ADC2 : Intel 82801DB-ICH4 - ADC2 : capture 1
00-02: Intel ICH - MIC2 ADC : Intel 82801DB-ICH4 - MIC2 ADC : capture 1
00-01: Intel ICH - MIC ADC : Intel 82801DB-ICH4 - MIC ADC : capture 1
00-00: Intel ICH : Intel 82801DB-ICH4 : playback 1 : capture 1
01-00: Intel ICH - Modem : Intel 82801DB-ICH4 Modem - Modem : playback 1 : capture 1
Comment 1 Antonio J. de Oliveira 2008-10-21 07:53:33 EDT
audio chip is AD1981
Comment 2 John Ellson 2008-11-15 10:29:19 EST
me too.

Even as root:

    root@bock:~# play /usr/share/sounds/shutdown1.wav 
    *** PULSEAUDIO: Unable to connect: Connection refused
    play stio: Failed writing default: cannot open audio device

What connection??? why doesn't pulseaudio produce a decent error message?
Comment 3 Antonio J. de Oliveira 2008-11-17 10:05:40 EST

I changed my laptop, now I have a different chipset.

OSS works, but alsa no, as expected.

output of:

aplay -vv emergency.wav
*** PULSEAUDIO: Unable to connect: Connection refused
aplay: main:564: audio open error: Connection refused

It seems that we are not talking about a hardware-specific issue here. The symptoms vary a

Here is the chipset dump

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: SIS966 [HDA SIS966], device 0: ALC662 Analog [ALC662 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: SIS966 [HDA SIS966], device 1: ALC662 Digital [ALC662 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SIS966 [HDA SIS966], device 6: Si3054 Modem [Si3054 Modem]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


Comment 4 Antonio J. de Oliveira 2008-11-17 11:21:37 EST
I was bored to death with no audio and saw that that pulse-audio stuff appeared much too often, so I decided it was time for extreme measures.

Deleting (or renaming it into pulse-default.trash, for example) pulse-default.conf in the /etc/alsa directory and restarting sound system solves issue, back to fine audio again, yeah, i'm an audio guy :-) , it seems that this is not an alsa bug but instead, a pulse-audio related one, have you had any similar feedback?

I will ry this on the other laptop, it's a little crippled on the display side but still very alive...

Comment 5 Antonio J. de Oliveira 2008-11-17 11:35:10 EST
tried several players, the only one complaning is mplayer, but it plays, so it seems i did the right thing. Could this have something to do with haldaemon not accurately passing strings changing alsa to the raw "hw:0" device when pulse audio is present? Don't know, but i got audacity back as well, so i'm happy.
If you need me to perform some testing using an improved version of any module I'm ready to help, cause this bug has been giving me the creeps for many months.
Comment 6 Bug Zapper 2008-11-26 06:15:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Antonio J. de Oliveira 2008-11-26 17:13:08 EST
newer fedora release (9) coupled to a very buggy kde release proved to be completely unusable, so untestable under normal use. 
i am afraid to switch to 10 for the very same reason, wait and see a stable live cd.
so we are stuck with the bugs or bound to change distribution. ok. it is a free world, fedora is free, and we are free to choose.
long live fc8 for the moment being, will see...
this bug, you may close it, and disable pulse audio for good. but still alsa is very badly supporting stable hardware, i have the proof, an alc662 on my new laptop. so debugging is needed, and without a stable and usable platform you just can't do it.

take care bug hider...you remind me of a certain mr. bates...
Comment 8 Bug Zapper 2009-01-09 01:48:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.